Siirry sisältöön

Isaac 0.1

Integroi

Mallin tunniste perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tämä pyyntö: ≈0,001 $ 1 API-krediitti Suorita tällä sivulla

Hanki API-avain
Perceptron Näkö #multimodal#vision

Näkö-kielimalli, joka vastaa kuvasta tekstinä, laatikoina, pisteinä tai polygoneina

Perceptron · Teksti

Ensimmäinen tuloksesi tulee tähän

Muodosta pyyntö alla ja suorita se API-avaimellasi. Tulosteet kopioidaan tallennustilaamme, jossa ne säilytetään ikuisesti tai 7 päivää ilmaiseksi.

Muodosta pyyntö

Säätimet luodaan mallin skeemasta. Koodi ja hinta päivittyvät, kun muutat arvoja.

•pakollinen

Kuvaan käytetty kehote.

•pakollinen image_url
Pudota tiedosto tai

Käsiteltävän kuvan yksilöivä URL-osoite.

Lisäasetukset response_style
response_style oletus text

Valitse kuvan vastauksen muoto: kaikki tilat sisältävät tekstin, `box` lisää rajauslaatikot, `point` pisteet ja `polygon` monikulmiot; pelkkä `text` palauttaa vain tekstin. Käytä `polygon`-tilaa yksityiskohtaiseen segmentointiin tai `box`-tilaa paikantamiseen. Käytä kuvauksiin ja kuvateksteihin `text`-tilaa ja useiden kohteiden laskemiseen `point`-tilaa.

POST /run/perceptron/isaac-01?wait=20 hinta → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Suorita tämä pyyntö

Avaimesi säilyy tässä selaimessa: se lähetetään vain Doitong APIlle ja tallennetaan localStorageen vain, jos valitset Muista. Hanki API-avain

Tietoja: Isaac 0.1

Ottaa `image_url`-osoitteen ja `prompt`-arvon ja palauttaa `response_style`-asetuksella määritetyn muodon. Teksti sopii kuvateksteihin ja kuvauksiin, kun taas box-, point- ja polygon-tyylit lisäävät sijaintitiedot. Tulos sisältää luodun tulosteen, osittaisuuden lipun, mahdollisen virheilmoituksen ja käyttötiedot.

Parametrit

Lähetä joko kanoninen nimi tai natiivi nimi, älä molempia. Kanoniset nimet

NimiTyyppi OletusSallitut Kuvaus
image_urlpakollinen image
Tyyppiurl · image
Käsiteltävän kuvan yksilöivä URL-osoite.
promptpakollinen
Tyyppistring
Kuvaan käytetty kehote.
response_stylevalinnainen
Tyyppienum
Oletustext
textboxpointpolygon
Valitse kuvan vastauksen muoto: kaikki tilat sisältävät tekstin, `box` lisää rajauslaatikot, `point` pisteet ja `polygon` monikulmiot; pelkkä `text` palauttaa vain tekstin. Käytä `polygon`-tilaa yksityiskohtaiseen segmentointiin tai `box`-tilaa paikantamiseen. Käytä kuvauksiin ja kuvateksteihin `text`-tilaa ja useiden kohteiden laskemiseen `point`-tilaa.
pakollinen Kanoninen nimi, myös hyväksytty

Tiedostoparametrit hyväksyvät julkisen https://-URL:n, enintään 10 MB:n data:-URI:n tai lähetyksen file_url-arvon. Tiedostot

Tulos

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tiedostosi, valintasiJokainen outputs[].url on kopio tallennustilassamme: säilytetään ikuisesti (maksetaan gigatavu-kuukauden mukaan) tai 7 päivää ilmaiseksi tiliasetuksesi tai ?storage= perusteella.
Sama rakenne kaikissa malleissatype, url, content_type, width, height ja duration kuville, videolle ja äänelle. output on mallin oma tulosobjekti.
Tuloksen kentät
output
stringMallin tuottama tulos.
partial
booleanIlmaisee, onko tuloste puutteellinen.
error
string | nullVirhettä kuvaava viesti, jos virhe tapahtui.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullKäyttötiedot.

Tekoälyagenteille: tämän sivun Markdown-muoto on osoitteessa https://doitong.com/fi/developers/models/perceptron/isaac-01.md. Kaikki mallit ja oppaat: https://doitong.com/developers/llms.txt